<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Expense Print";
$file = "expense_print_fr.php";
$grpcode = '012';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);

if (isset($_POST["view"])) {
    $name = $_POST[name];


    $namecond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }

    $getpmain = mysqli_query($conn,"SELECT `name` FROM `$maindb` WHERE `grpcode` = '$grpcode' $namecond ") or die(mysqli_error($conn));

    include("includes/linkshead.php");
?>
    <style>
        .padd {
            background-color: white;
            padding: 0px;
        }
    </style>


    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <!--            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php // Echo Date("d-m-Y"); 
                                                        ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php // Echo $formname; 
                                                        ?></label>
                </div>
                <div class="col-lg-1">
                    <a href="<? // Echo $file; 
                                ?>" class="btn btn-primary" onclick="window.close();">Go Back</a>
                </div>
            </div>-->
            <div class="row">
                <div class="col-lg-12 padd">
                    <table class="table table-condensed table-bordered ">
                        <tr style="background-color: #64CCFC">
                            <th>Sr</th>
                            <th>Expense</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            echo "<tr>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?
}
if (isset($_POST["excel"])) {
    $name = $_POST[name];


    $namecond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }

    $getpmain = mysqli_query($conn,"SELECT `name` FROM `$maindb` WHERE `grpcode` = '$grpcode' $namecond ") or die(mysqli_error($conn));

    include("includes/head_rep_excel.php");

    $contents .= "Sr.No,Expense,\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain[name];


        $contents .= $ctr . ",";
        $contents .= $pname . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>